Improper Input Validation

Affecting curl package, versions <0.0.0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

curl before version 7.51.0 uses outdated IDNA 2003 standard to handle International Domain Names and this may lead users to potentially and unknowingly issue network transfer requests to the wrong host.

References

CVSS Score

7.5
low severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
CVE
CVE-2016-8625
CWE
CWE-20
Snyk ID
SNYK-UBUNTU1604-CURL-358363
Disclosed
01 Aug, 2018
Published
27 Jun, 2018